.NET4.0网站下使用Net2.0类库或程序集

在本人的Blog上一直使用.net4.0 framework技术,而Download Site.Net2.0 framework,解决二者的整合方法如下:

1web.config中添加一个配置节:startup 代码如下

<?xml version="1.0" encoding="utf-8" ?>

<configuration>

  <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v2.0"/>

    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>

  </startup>

</configuration>

.NET2.0 framework.NET3.5 framework的时候,由于程序运行环境本质还是.NET2.0,而到了.NET4.0由于整个程序集的版本更新,以前使用.NET2.0所编写的程序集与.NET4.0的程序集互操作的时候就会出现兼容性问题。

startup配置节中的useLegacyV2RuntimeActivationPolicy属性是在.NET4.0中新增的,默认是false,表示:使用默认的 .NET Framework 4 激活策略,该激活策略将加载 .NET Framework 4.0,通过使用公共语言运行时 (CLR) 版本 4.0 所创建的程序集,以及 CLR 早期版本通过使用受支持的低于版本 4.0 的最高 CLR 版本所创建的程序集。

当程序在.NET4.0环境下要使用.NET2.0.NET3.5及以下的程序集时就必须将useLegacyV2RuntimeActivationPolicy设置为true

同时还需要在startup配置节的字节中添加supportedRuntime配置节,并指定为"v4.0"”v2.0”。如果应用程序配置文件中没有 <supportedRuntime> 元素,则使用用于生成应用程序的运行时版本。

 

2. IIS中的应用程序池设置为经典模式。

Add comment

biuquote
Loading

Powered by BlogYi.NET ver:2.5.0.10, original powered by BlogEngine.NET.